
Foreman - Feature #2426

Translate model names for English

04/24/2013 08:01 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Internationalization   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We need a volunteer who could review English translation

(locale/en/foreman.po). We need to "translate" all strings with keys in

the format of

msgid "Hostgroup|Root pass"

These keys are used in all forms and table headers. By default, only the

last element is rendered ("Root pass" in this case) which is not correct

in all cases (in this case we want "Root password").

All these keys are marked with the following comment:

#. "Table name" or "Table name|Column name" for error messages

Associated revisions

Revision 9a280163 - 05/09/2013 02:13 AM - Dominic Cleal

fixes #2426 - translate model and column names to English

History

#1 - 04/24/2013 08:13 AM - Dominic Cleal

- Category set to Internationalization

- Target version set to 1.2.0

#2 - 05/06/2013 01:48 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 05/07/2013 01:37 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/593

#4 - 05/09/2013 05:45 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9a28016365f58dbbd624b4dc67388b1d7c33dcb5.
